Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "c68709ee-3a40-4180-a694-0e75c3e8b2a1",
  "_parent_id": "fb467d1c-c77b-421a-9ef5-19f20822bea6",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "bc17e69e-8f6d-4aee-9689-b148547bf0d0",
  "company_id": "783029e2-b576-4229-8285-2bf019a4200f",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "3d72e0ff-08dd-4696-9ba3-a959ea416d04",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "a070c7d2-4fe3-4a3f-9024-2648cd6a2293",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "f757cbbe-7ec2-43ae-b364-e2eed7189f43",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "e693dd18-158f-4518-87fa-eb29e9920151",
    "company_code": "sample string 5",
    "company": {
      "id": "ba34f955-dfde-487d-b864-74c5c0e3239c",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-10T09:40:28.2348254+00:00",
      "sales_territory_id": "f37b5240-b55b-4515-896d-917e527411c9",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "a3e1738c-2a49-47d6-b6df-08997c6a69ac",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "2fac70cf-2acd-4015-921c-90d170c8c288",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "a0828138-feb6-4b65-84e0-4d71e8651503",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "b331988c-6545-4e68-b490-0daa4950357a",
          "db_currency_id": "91406b93-d815-419e-bf6a-2f8c797f50de",
          "db_language_id": "83cfef8f-f8c3-46ad-ae05-ec8e611fccb0",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-10T09:40:28.2531394+00:00"
        },
        "modified_dateutc": "2026-11-10T09:40:28.2531394+00:00"
      },
      "marketing_segment_id": "e646995f-a94d-46ca-b2f2-9403501478a4",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "0b264514-3358-46de-bd94-194ec881544a",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "7115d17c-45ea-43b7-978b-637d0c3b58ce",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "176dffbc-3db4-4fff-8fe2-0aae7e83e235",
      "db_country_code": "sample string 28",
      "feelist_id": "f93c3a25-8cc0-4b04-aaef-fb8dcca1bf50",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "bcf15ef7-a9a7-467b-adf9-e467c162fdce",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "db1d0143-ffc8-46d4-8971-8c023910eb26",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-10T09:40:28.2531394+00:00",
        "db_currency_id": "5e9b443e-a76f-4b82-8a95-ec53e82832b1",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "de5c1410-60e0-46ec-a428-023895dc5b0b",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "8a8fe66c-6cdb-47f7-b94e-fe748f815fd6",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "209e80ed-71c2-416d-acea-ffedba428bcb",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "f5cec6d9-65b6-4a32-a3f4-e71a3b142ae0",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "82d46c12-d8b7-413c-b036-10589be1463a",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "114160e4-53db-40d5-902d-b2085247b43b",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "b49ac8db-3399-470e-bc39-99be244aa5e3",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-10T09:40:28.2531394+00:00"
      },
      "company_sector_id": "05c973b9-ac77-44f0-afc4-7ef7372c0d29",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "aabe4d02-0214-4705-b74f-7bc18512d2a3",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "99099c49-b1d2-4d65-bac7-262869c9e770",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "3a314c5f-ce6f-4236-9565-a8561f050f8e",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "0bd3bbe6-1b50-4dc0-9336-4f6c3b0898c0",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-10T09:40:28.2531394+00:00",
      "id2": 60
    },
    "db_language_id": "aa522a5b-0b40-4680-a1a7-d873449a8adb",
    "db_language_code": "sample string 7",
    "db_title_id": "d44283fd-87ed-4c6a-b080-f80f416a18c4",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-10T09:40:28.2531394+00:00",
    "create_date": "2026-11-10T09:40:28.2531394+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-10T09:40:28.2531394+00:00"
  },
  "modified_dateutc": "2026-11-10T09:40:28.2531394+00:00",
  "id2": 22
}